Billing
- OpenAPI Version:
3.1.1 - API Version:
2
The Zoom Billing APIs allow developers with master accounts (also known as "primary accounts") to get information about billing plans of their accounts and subaccounts.
Servers
- URL:
https://api.zoom.us/v2
Operations
List sub accounts' billing invoice reports
- Method:
GET - Path:
/accounts/billing/invoice_reports - Tags: Billing
Use this API to list sub accounts' invoice reports.
This API can only be used by Master accounts that pay all billing charges of their associated Pro or higher sub accounts. Zoom only allows approved partners to use Master account API and manage sub accounts' billing information. Email the partner programs team at partner-success@zoom.us for more details.
one request to this API every 1 second. Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The sub account must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master
Rate Limit Label: Heavy
Responses
Status: 200 **HTTP Status Code:** `200` Sub Invoice Report List returned.
Content-Type: application/json
-
invoice_reportsarray— List of billing invoice reports.Items:
-
accounts_total_numberinteger— Total number of sub accounts included in the billing invoice report. -
end_datestring, format:date— End date for the billing invoice report. -
idstring— ID of the billing invoice report. -
remaining_daysinteger— Number of days remaining on invoice period. -
start_datestring, format:date— Start date for the billing invoice report. -
statusstring, possible values:"Completed", "Processing"— Status of the generated billing invoice report.
-
-
next_page_tokenstring— The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
Example:
{
"next_page_token": "w7587w4eiyfsudgf",
"invoice_reports": [
{
"id": "1648670915000",
"start_date": "2022-01-01",
"end_date": "2022-02-01",
"accounts_total_number": 88,
"remaining_days": 6,
"status": "Processing"
}
]
}
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Generate sub accounts' billing invoice reports
- Method:
POST - Path:
/accounts/billing/invoice_reports - Tags: Billing
Use this API to generate sub account invoice reports.
This API can only be used by master accounts that pay all billing charges of their associated Pro or higher sub accounts. Zoom only allows approved partners to use Master account API and manage sub accounts' billing information. Email the partner programs team at partner-success@zoom.us for more details.
one request to this API every 3 minutes.
-
This API has a daily limit of 100 requests per account.
Prerequisites:
-
A Pro or a higher plan with the Master account option enabled.
-
The sub account must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master
Rate Limit Label: Heavy
Request Body
Content-Type: application/json
-
account_idsarray— A comma-separated list of sub accounts under a master account.Items:
string -
end_datestring— End Date for the billing invoice report. -
start_datestring— Start Date for the billing invoice report.
Example:
{
"start_date": "2022-01-01",
"end_date": "2022-02-01",
"account_ids": [
"kQ1OnoNpRmSRSb0DbrezUZ"
]
}
Responses
Status: 201 Information about how to generate sub accounts' invoice report.
Content-Type: application/json
-
accounts_total_numberinteger— Total number of sub accounts included in invoice report. -
end_datestring, format:date— End Date for the billing invoice report. -
idstring— Identifier for the billing invoice report. -
remaining_daysinteger— Number of days remaining on invoice period. -
start_datestring, format:date— Start Date for the billing invoice report. -
statusstring, possible values:"Processing", "Completed"— Status of the invoice report: * Processing * Completed
Example:
{
"id": "1648670915000",
"start_date": "2022-01-01",
"end_date": "2022-02-01",
"accounts_total_number": 76,
"remaining_days": 12,
"status": "Processing"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2100` <br> The span of `start_time` and `end_time` must be within a month to generate invoice reports.<br> You must provide at least one sub account for which to generate an invoice report.<br> **Error Code:** `10102` <br> One or more of the sub accounts provided were not found under the master account ID: {}<br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Download subaccounts' billing invoice reports
- Method:
GET - Path:
/accounts/billing/invoice_reports/{invoiceReportId} - Tags: Billing
Download a Zoom subaccounts' billing invoice reports. Maximum of one request to this API per second. Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The subaccount must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master
Granular Scopes: billing:read:download_invoice_reports:master
Rate Limit Label: HEAVY
Responses
Status: 200 **HTTP Status Code:** `200` File downloaded. Invoice report information will be returned in the response when the parameter `download`= `false`.
Content-Type: application/json
-
accounts_total_numberinteger— Total number of subaccounts included in invoice report. -
end_datestring, format:date— The billing invoice report's end date. -
idstring— The billing invoice report's identifier. -
remaining_daysinteger— Number of days remaining on invoice period. -
start_datestring, format:date— The billing invoice report's start date. -
statusstring, possible values:"Available", "Processing", "Failed"— Status of the invoice report. * Processing * Completed
Example:
{
"id": "1648670915000",
"start_date": "2022-01-01",
"end_date": "2022-02-01",
"accounts_total_number": 76,
"remaining_days": 12,
"status": "Processing"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2001` <br> Invoice Report ID does not exist: {invoiceReportId}.<br> <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Delete subaccounts' billing invoice report
- Method:
DELETE - Path:
/accounts/billing/invoice_reports/{invoiceReportId} - Tags: Billing
Delete Zoom subaccounts' billing invoice report.
Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The subaccount must be a paid account whose billing charges are paid by its master account.
Scopes: billing:master
Granular Scopes: billing:delete:invoice_report:master
Rate Limit Label: HEAVY
Responses
Status: 204 **HTTP Status Code:** `204` No Content.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2001` <br> Invoice Report ID does not exist: {invoiceReportId}.<br> <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
List upcoming renewal accounts
- Method:
GET - Path:
/accounts/billing/renewals - Tags: Billing
List subaccounts' upcoming renewal plans. Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The subaccount must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master,account:master
Granular Scopes: billing:read:list_upcoming_renewal_accounts:master
Rate Limit Label: MEDIUM
Responses
Status: 200 *HTTP Status Code:** `200` Subaccount billing upcoming renewal data returned.
Content-Type: application/json
-
interval(required)integer, format:int32, possible values:30, 60, 90, default:30— Date range. Value is 30, 60, or 90. -
page_size(required)integer— Page size. -
results(required)array— Upcoming renewal data.Items:
-
account_id(required)string— The Zoom account ID. -
account_name(required)string— The Zoom account name. -
account_number(required)string— The Zoom account number. -
auto_renew(required)boolean— Whether the account is auto renewing or not. -
email(required)string— Account email ID. -
next_renewal_date(required)Date— The current term end date. -
renewable_subscriptions(required)array— Renew subscription list.Items:
-
billing_cycle(required)string, possible values:"Monthly", "Annual", "Quarterly", "Two years", "Three years"— The billing plan cycle. -
next_invoice_amount(required)number— Mext invoice amount. -
next_invoice_date(required)Date— Mext invoice date. -
plan_name(required)string— Zoom plan name. -
quantity(required)integer— Purchased plan count. -
service_effective_date(required)Date— Effective service date.
-
-
total_renewal_amount(required)integer— Renewal account amount.
-
-
total_records(required)integer— Total records.
Example:
{
"interval": 30,
"page_size": 20,
"total_records": 100,
"results": [
{
"account_id": "xxxxxx",
"account_number": "123456789",
"account_name": "test",
"email": "test@zoom.us",
"total_renewal_amount": 100,
"next_renewal_date": "2024-04-11",
"auto_renew": true,
"renewable_subscriptions": [
{
"plan_name": "Zoom Workplace Enterprise",
"quantity": 20,
"billing_cycle": "Monthly",
"service_effective_date": "2024-04-11",
"next_invoice_date": "2024-04-11",
"next_invoice_amount": 41723
}
]
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2100` <br> Invalid parameter: interval/page_size. <br> **Error Code:** `300` <br> The next page token is invalid or expired. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `2001` <br> Account not exist. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Download an invoice file ⚠️ Deprecated
- Method:
GET - Path:
/api/download/billing/invoices/{invoiceId} - Tags: Billing
Download a Zoom account's billed invoice file, in PDF format. To get an account's invoice ID, use the List billing invoices API.
one request to this API every 30 minutes until the daily limit is reached.
- This API has a daily limit of 100 requests per account. Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The sub account must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master
Granular Scopes: billing:read:download_invoice_file:master
Responses
Status: 200 **HTTP Status Code:** `200` Account billing invoice PDF returned.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2001` <br> Account does not exist: {subAccountId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get billing information
- Method:
GET - Path:
/accounts/{accountId}/billing - Tags: Billing
Get a subaccount's billing information.
Only master accounts can use this API. Zoom allows only approved partners to use master APIs and manage subaccounts' billing information. Email the partner programs team at partner-success@zoom.us for more details.
- To get a master account's billing information, use the
billing:read:billing_information:adminscope. Enter me as the value of the accountId path parameter. - To get a subaccount's billing information, use the
billing:read:billing_information:masterscope. Enter the subaccount's actual account ID as the value of the accountId path parameter.
Prerequisites:
- Pro or a higher paid account with master account option enabled.
Scopes: billing:master
Granular Scopes: billing:read:billing_information:master,billing:read:billing_information:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:** `200` Account billing contact information returned.
Content-Type: application/json
-
address(required)string— The billing contact's address. -
city(required)string— The billing contact's city. -
country(required)string— The billing contact's [country ID abbreviation](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#countries). -
email(required)string— The billing contact's email address. -
employee_count(required)string, possible values:"Just Me", "2-10", "11-50", "51-250", "251-500", "501-1000", "1001-5000", "5001-10000", "10000+"— The range of employee count associated with the organization of this sub-account -
first_name(required)string— The billing contact's first name. -
last_name(required)string— The billing contact's last name. -
phone_number(required)string— The billing contact's phone number. -
state(required)string— The billing contact's state. -
zip(required)string— The billing contact's zip or postal code. -
aptstring— The billing contact's apartment or suite number.
Example:
{
"address": "123 Bourbon St.",
"apt": "Unit 2",
"city": "New Orleans",
"country": "US",
"email": "doc.john@mailinator.com",
"first_name": "Doc",
"last_name": "John",
"phone_number": "555-555-1234",
"state": "LA",
"zip": "70112",
"employee_count": "2-10"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2100` <br> This subaccount is on self pay mode. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `2001` <br> Account does not exist: {subAccountId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Update billing information
- Method:
PATCH - Path:
/accounts/{accountId}/billing - Tags: Billing
Update billing information of a sub account.
This API can only be used by master accounts that pay all billing charges of their associated sub accounts. Zoom allows only approved partners to use master APIs and manage sub accounts' billing information. Email the partner programs team at partner-success@zoom.us for more details.
Prerequisites:
- Pro or a higher paid account with master account option enabled.
Scopes: billing:master
Granular Scopes: billing:update:billing_information:master
Rate Limit Label: HEAVY
Request Body
Content-Type: application/json
-
addressstring— Billing Contact's address. -
aptstring— Billing Contact's apartment/suite. -
citystring— Billing Contact's city. -
countrystring— Billing Contact's country. -
emailstring— Billing Contact's email address. -
first_namestring— Billing Contact's first name. -
last_namestring— Billing Contact's last name. -
phone_numberstring— Billing Contact's phone number. -
statestring— Billing Contact's state. -
zipstring— Billing Contact's zip/postal code.
Example:
{
"address": "123 Paper St.",
"apt": "Unit 3",
"city": "San Jose",
"country": "US",
"email": "m.kelly@mailinator.com",
"first_name": "Jennifer",
"last_name": "Kelly",
"phone_number": "555-555-9859",
"state": "CA",
"zip": "96113"
}
Responses
Status: 200 **HTTP Status Code:** `200` Update billing information success.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2100` <br> This sub account is on self pay mode.<br> Invalid country parameter: {country}.<br> Invalid state parameter: {state}. <br> **Error Code:** `300` <br> Your request was not accepted because "{field}" contains special character(s). <br> **Error Code:** `200` <br> Please subscribe a plan for this sub account first. <br>
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `2001` <br> Account does not exist: {subAccountId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get account subscriptions information
- Method:
GET - Path:
/accounts/{accountId}/billing/information - Tags: Billing
Lets master accounts retrieve subaccounts' MSQ plan information.
- To get a master account's MSQ plan information, use the
billing:read:plan_information:adminscope. Entermeas the value of theaccountIdpath parameter.
To get a subaccount's MSQ plan information, use the billing:read:plan_information:master scope. Enter the subaccount's actual account ID as the value of the accountId path parameter.
Prerequisite This API can only be used by master accounts that pay all billing charges of their associated Pro or higher subaccounts.
Compared with the legacy Plan Info API, each plan node in this API returns a list of subscription-level plan records. Each item represents the plan associated with a specific subscription. The zr_sub_refer_id field identifies the subscription associated with the returned plan item.
Zoom only allows approved partners to use master account APIs and manage subaccounts' billing information.
Granular Scopes: billing:read:plan_information:admin,billing:read:plan_information:master
Rate Limit Label: LIGHT
Responses
Status: 200 HTTP 200. Account plans returned.
Content-Type: application/json
-
plan_audioarray— Information about the account's Audio Conferencing plan.Items:
-
callout_countriesstring— A comma-separated list of call-out countries. -
ddi_numbersinteger— The account's dedicated dial-in (DDI) numbers. -
next_invoice_datestring— The account plan's next invoice date. -
premium_countriesstring— A comma-separated list of premium countries. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
tollfree_countriesstring— A comma-separated list of toll-free countries. -
typestring, possible values:"tollfree_payongo"— The Audio Conferencing plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_audio_us_caarray— Information about the account's Audio US/CA plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zoomaudio_unlimit_usca_monthly", "zoomaudio_unlimit_usca_yearly", "zoomaudio_unlimit_usca_quarterly", "zoomaudio_unlimit_usca_two_years", "zoomaudio_unlimit_usca_three_years", "zoomaudio_unlimit_usca_active_monthly", "zoomaudio_unlimit_usca_active_quarterly", "zoomaudio_unlimit_usca_active_yearly"— The Audio US/CA plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_basearray— Information about the account's base plan.Items:
-
active_hostsinteger— The account plan's number of active hosts. -
hostsinteger— The account plan's number of hosts. -
included_minutesinteger, format:long— The Video SDK plan's included minutes. -
next_invoice_datestring— The account plan's next invoice date. -
overage_pricenumber, format:double— The Video SDK plan's overage price. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"monthly", "yearly", "plan_pro_two_years", "plan_pro_three_years", "business_monthly", "business_yearly"— The account's base plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_concurrent_meetingarray— Information about concurrent meeting plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"concurrent_plus_monthly", "concurrent_plus_three_years", "concurrent_plus_yearly", "concurrent_plus_two_years"— The concurrent meeting plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_data_stream_servicearray— Information about data stream service plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"vsdk_monthly_prepay_usage", "vsdk_yearly_prepay_usage"— The data stream service plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_dedicated_dial_inarray— Information about dedicated dial-in plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"tollfree_phonenumber_usca_two_year", "tollfree_phonenumber_usca_three_year", "tollfree_phonenumber_usca_monthly", "tollfree_phonenumber_usca_quarterly", "tollfree_phonenumber_usca_yearly"— The dedicated dial-in plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_direct_connectarray— Information about Direct Connect plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"direct_connect"— The Direct Connect plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_large_meetingarray— Information about the account's Large Meeting plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"large500_monthly", "large500_yearly", "plan_large500_two_years", "plan_large500_three_years", "large1000_monthly"— The Large Meeting plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_mesharray— Information about the account's Zoom Mesh plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zmesh_monthly", "zmesh_quaterly_prepay", "zmesh_yearly_prepay", "zmesh_two_year_prepay", "zmesh_three_year_prepay"— The Zoom Mesh plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_partner_premier_supportarray— Information about the account's Zoom Partner Premier Support plan.Items:
-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"partner_premier_support_monthly", "partner_premier_support_quarterly", "partner_premier_support_yearly", "partner_premier_support_two_year", "partner_premier_support_three_year"— The Zoom Partner Premier Support plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phonearray— Information about the account's Zoom Phone plan.Items:
-
plan_basearray— Information about the account's Zoom Phone base plan.Items:
-
callout_countriesstring— A comma-separated list of call-out countries. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"phone_payongo", "phone_basic_monthly_prepay_usage", "phone_monthly_prepay_usage", "phone_one_year_prepay_usage", "phone_free_trial"— The Zoom Phone base plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_callingarray— Information about additional Zoom Phone calling plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"phone_calling_pro_global_monthly", "phone_calling_pro_global_three_year", "phone_calling_pro_global_two_year", "phone_calling_pro_global_one_year", "phone_calling_pro_global_quarterly", "phone_calling_pro_global_free_trial"— The additional Zoom Phone calling plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_calling_addonsarray— Information about additional Zoom Phone calling add-on plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zp_power_pack_monthly", "zp_power_pack_yearly", "zp_power_pack_two_years", "zp_power_pack_three_years"— The additional Zoom Phone calling add-on plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_numberarray— Information about additional Zoom Phone number plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"phone_toll_free_number_usca_monthly", "phone_toll_free_number_usca_one_year", "phone_toll_free_number_usca_quarterly", "phone_toll_free_number_usca_two_year_prepay", "phone_toll_free_number_usca_three_year_prepay", "phone_toll_free_number_usca_free_trial"— The additional Zoom Phone number plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_recordingarray— The account's Cloud Recording plan.Items:
-
next_invoice_datestring— The account plan's next invoice date. -
plan_recordingstring, possible values:"cmr_30GB_two_years", "cmr_30GB_three_years", "cmr_200GB_three_year", "cmr_200GB_two_year", "cmr_1TB_three_year", "cmr_1TB_two_year", "cmr_5TB_three_year", "cmr_5TB_two_year", "cmr_3TB_three_years", "cmr_monthly_commitment_10", "cmr_5TB_quarterly", "cmr_5TB_yearly", "cmr_1TB_monthly", "cmr_monthly_commitment_100", "cmr_3TB_yearly", "cmr_3TB_two_years", "cmr_monthly_commitment_500", "cmr_1TB_yearly", "cmr_100GB_yearly", "cmr_100GB_two_years", "cmr_500GB_two_years", "cmr_200GB_monthly", "cmr_monthly_commitment_40", "cmr_200GB_quarterly", "cmr_500GB_three_years", "cmr_500GB_yearly", "cmr_5TB_monthly", "cmr_100GB_three_years", "cmr_200GB_yearly", "cmr_1TB_quarterly", "cmr_free_trial", "cmr_30GB_yearly", "cmr_monthly_commitment_1000"— The Cloud Recording plan type. -
plan_recording_statusstring— The Cloud Recording plan status. -
service_effective_datestring— The date when the plan became effective on the account. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_sip_trunkarray— Information about SIP trunk plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"siptrunk_customer", "siptrunk_customer_two_years", "siptrunk_monthly", "siptrunk_quarterly", "siptrunk_yearly", "siptrunk_two_yearly", "siptrunk_three_yearly", "siptrunk_active_monthly", "siptrunk_active_quarterly", "siptrunk_active_yearly"— The SIP trunk plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_visitor_managementarray— Information about the account's Zoom Visitor Management plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zm_visitor_management_monthly", "zm_visitor_management_quarterly", "zm_visitor_management_yearly", "zm_visitor_management_two_year", "zm_visitor_management_three_year"— The Zoom Visitor Management plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_voxbone_siptrunkarray— Information about Voxbone SIP trunk plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"siptrunk_voxbone"— The Voxbone SIP trunk plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_webinararray— Information about the account's webinar plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"plan_webinar5000_two_years", "plan_webinar5000_three_years", "webinar10000_monthly", "webinar10000_yearly", "plan_webinar10000_two_years"— The webinar plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zccarray— Information about the account's Contact Center plan.Items:
-
plan_ai_expert_assistarray— Information about AI Expert Assist plans.Items:
-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"ai_expert_assist_quarterly", "ai_expert_assist_yearly", "ai_expert_assist_two_year", "ai_expert_assist_three_year", "ai_expert_assist_monthly"— The AI Expert Assist plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_package_listarray— Information about the account's Contact Center package plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zccp_monthly", "zccp_quarterly", "zccp_yearly", "zccp_two_year", "zccp_three_year"— The Contact Center package plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_numberarray— Information about additional Contact Center number plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"vspn_usca_monthly", "vspn_usca_quarterly", "vspn_usca_yearly", "vspn_usca_two_year_prepay", "vspn_usca_three_year_prepay"— The additional Contact Center number plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_recordingarray— Information about Contact Center cloud recording plans.Items:
-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zcc_cs_30gb", "zcc_cs_30gb_yearly_prepay", "zcc_cs_30gb_quarterly_prepay", "zcc_cs_30gb_two_year_prepay", "zcc_cs_30gb_three_year_prepay", "zcc_cs_200gb", "zcc_cs_200gb_yearly_prepay", "zcc_cs_200gb_quarterly_prepay", "zcc_cs_200gb_two_year_prepay", "zcc_cs_200gb_three_year_prepay", "zcc_cs_1tb", "zcc_cs_1tb_yearly_prepay", "zcc_cs_1tb_quarterly_prepay", "zcc_cs_1tb_two_year_prepay", "zcc_cs_1tb_three_year_prepay", "zcc_cs_5tb", "zcc_cs_5tb_yearly_prepay", "zcc_cs_5tb_quarterly_prepay", "zcc_cs_5tb_two_year_prepay", "zcc_cs_5tb_three_year_prepay"— The Get account subscriptions information Contact Center cloud recording plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_usagearray— Information about additional Contact Center calling plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zcc_pay_as_you_go"— The additional Contact Center calling plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
-
plan_znodearray— Information about the account's Zoom Node plan.Items:
-
plan_cmrhybridarray— Information about the account's Zoom Node Recording Hybrid plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zm_node_hybrid_rec_monthly", "zm_node_hybrid_rec_quarterly", "zm_node_hybrid_rec_yearly", "zm_node_hybrid_rec_two_year", "zm_node_hybrid_rec_three_year"— The Zoom Node Recording Hybrid plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_mchybridarray— Information about the account's Zoom Node Meeting Connector plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zmc_monthly", "zmc_quarterly", "zmc_yearly", "zmc_two_year", "zmc_three_year"— The Zoom Node Meeting Connector plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_rchybridarray— Information about the account's Zoom Node Recording Connector plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zrc_monthly", "zrc_quarterly", "zrc_yearly", "zrc_two_year", "zrc_three_year"— The Zoom Node Recording Connector plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_tchybridarray— Information about the account's Zoom Node Team Chat Hybrid plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zn_tc_hybrid_monthly", "zn_tc_hybrid_quarterly", "zn_tc_hybrid_yearly", "zn_tc_hybrid_two_year", "zn_tc_hybrid_three_year"— The Zoom Node Team Chat Hybrid plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zmhybridarray— Information about the account's Zoom Node Meeting Hybrid plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zm_hybrid_monthly", "zm_hybrid_quarterly", "zm_hybrid_yearly", "zm_hybrid_two_year", "zm_hybrid_three_year"— The Zoom Node Meeting Hybrid plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_znode_basearray— Information about the account's Zoom Node base plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"znode_monthly", "znode_quarterly", "znode_yearly", "znode_two_year", "znode_three_year", "znode_free_trial"— The Zoom Node base plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zphybridarray— Information about the account's Zoom Node Phone Hybrid plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zph_free_trial", "zph_monthly", "zph_quarterly", "zph_yearly", "zph_two_year", "zph_three_year"— The Zoom Node Phone Hybrid plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
-
plan_zoom_clips_plusarray— Information about the account's Zoom Clips Plus plan.Items:
-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zm_clips_plus_monthly", "zm_clips_plus_quarterly", "zm_clips_plus_yearly", "zm_clips_plus_two_year", "zm_clips_plus_three_year"— The Zoom Clips Plus plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_one_edu_premierarray— Information about the account's Zoom Workplace for Education Enterprise Premier plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zo_edu_ent_prem_global_yearly", "zo_edu_ent_prem_global_monthly"— The Zoom Workplace for Education Enterprise Premier plan. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_one_edu_school_campus_plusarray— Information about the account's Zoom Workplace for Education School and Campus Plus plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zo_edu_sch_cmp_plus_global_yearly", "zo_edu_sch_cmp_plus_global_monthly"— The Zoom One for Education School and Campus Plus plan. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_one_edu_studentarray— Information about the account's Zoom Workplace for Education Enterprise Higher Ed Student plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zo_edu_ent_hied_stu_yearly", "zo_edu_ent_hied_stu_monthly"— The Zoom Workplace for Education Enterprise Higher Ed Student plan. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_one_premierarray— Information about the account's Zoom Workplace Enterprise Premier plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring, possible values:"zoe_prem_jp_monthly", "zoe_prem_jp_quarterly", "zoe_prem_jp_yearly", "zoe_prem_jp_two_year", "zoe_prem_jp_three_year"— The Zoom Workplace Enterprise Premier plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
Example:
{
"plan_base": [
{
"hosts": 88,
"active_hosts": 15,
"included_minutes": 3000,
"overage_price": 35,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_large_meeting": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "large500_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_webinar": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "webinar10000_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_recording": [
{
"plan_recording": "cmr_30GB_two_years",
"service_effective_date": "2022-03-01",
"next_invoice_date": "2022-05-01",
"plan_recording_status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_audio": [
{
"callout_countries": "US,CN",
"ddi_numbers": 800,
"premium_countries": "US,CN",
"tollfree_countries": "US,CN",
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "tollfree_payongo",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_audio_us_ca": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zoomaudio_unlimit_usca_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone": [
{
"plan_base": [
{
"callout_countries": "US,CN",
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "phone_payongo",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_calling": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "phone_calling_pro_global_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_calling_addons": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zp_power_pack_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_number": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "phone_toll_free_number_usca_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zcc": [
{
"plan_package_list": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zccp_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_usage": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zcc_pay_as_you_go",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_number": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "vspn_usca_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_recording": [
{
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zcc_cs_30gb",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_ai_expert_assist": [
{
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "ai_expert_assist_quarterly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
]
}
],
"plan_sip_trunk": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "siptrunk_customer",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_concurrent_meeting": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "concurrent_plus_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_dedicated_dial_in": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "tollfree_phonenumber_usca_two_year",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_direct_connect": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "direct_connect",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_voxbone_siptrunk": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "siptrunk_voxbone",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_data_stream_service": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "vsdk_monthly_prepay_usage",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_znode": [
{
"plan_znode_base": [
{
"type": "znode_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zphybrid": [
{
"type": "zph_free_trial",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zmhybrid": [
{
"type": "zm_hybrid_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_mchybrid": [
{
"type": "zmc_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_rchybrid": [
{
"type": "zrc_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_cmrhybrid": [
{
"type": "zm_node_hybrid_rec_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_tchybrid": [
{
"type": "zn_tc_hybrid_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
]
}
],
"plan_mesh": [
{
"type": "zmesh_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_one_premier": [
{
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"type": "zoe_prem_jp_monthly",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_one_edu_school_campus_plus": [
{
"type": "zo_edu_sch_cmp_plus_global_yearly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_one_edu_premier": [
{
"type": "zo_edu_ent_prem_global_yearly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_one_edu_student": [
{
"type": "zo_edu_ent_hied_stu_yearly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_visitor_management": [
{
"type": "zm_visitor_management_monthly",
"hosts": 88,
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_partner_premier_support": [
{
"type": "partner_premier_support_monthly",
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_clips_plus": [
{
"type": "zm_clips_plus_monthly",
"next_invoice_date": "2022-05-01",
"service_effective_date": "2022-03-01",
"status": "active",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
]
}
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
List billing invoices
- Method:
GET - Path:
/accounts/{accountId}/billing/invoices - Tags: Billing
List a Zoom account's invoices. To list a regular Zoom account's invoices or a master account's invoices, provide me as the value of the accountId path parameter. To list a subaccount's invoices, provide the subaccount's account ID in the accountId path parameter. Prerequisites:* Account must be enrolled in Pro or a higher plan. Additional Rate Limit: You can make one API request per account(accountId) every 200 minutes until the daily limit is reached. This API has a daily limit of 100000 requests per account(accountId).
Scopes: billing:master
Granular Scopes: billing:read:list_invoices:master,billing:read:list_invoices:admin
Rate Limit Label: HEAVY
Responses
Status: 200 **HTTP Status Code:** `200` Account billing invoice information returned.
Content-Type: application/json
-
currencystring— Currency used in the invoice. -
invoicesarrayItems:
-
balancenumber, format:double— The remaining balance of the invoice after all payments, adjustments, and refunds are applied. -
due_datestring— The date by which the payment for this invoice is due. -
idstring— Unique identifier of the invoice. -
invoice_datestring— The date when the invoice was generated. -
invoice_numberstring— Invoice number. -
statusstring, default:"\"Draft\""— Status of the invoice. -
target_datestring— This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in the invoice. -
tax_amountnumber, format:double— Tax amount. -
total_amountnumber, format:double— Total invoice amount.
-
Example:
{
"currency": "USD",
"invoices": [
{
"balance": 12.34,
"due_date": "2022-02-08",
"id": "Inv2329df",
"invoice_date": "2022-01-18",
"invoice_number": "23jkfk21000",
"status": "Draft",
"target_date": "2022-03-01",
"tax_amount": 35.9,
"total_amount": 1000.21
}
]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for Paid account: {subAccountId}. <br> **Error Code:** `2001` <br> Account does not exist: {subAccountId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Get invoice details
- Method:
GET - Path:
/accounts/{accountId}/billing/invoices/{invoiceId} - Tags: Billing
Get detailed information about a specific invoice.
To retrieve a regular Zoom account's invoice details or a master account's invoice details, provide me as the value of accountId path parameter. To list a sub account's invoice details, provide the account ID of the sub account in the accountId path parameter.
Prerequisites:
- Account must be enrolled in Pro or a higher plan.
Additional Rate Limit: You can make one API request every thirty minutes until the daily limit is reached. This API has a daily limit of 100 requests per account.
Scopes: billing:master
Granular Scopes: billing:read:invoice_details:master,billing:read:invoice_details:admin
Rate Limit Label: HEAVY
Responses
Status: 200 **HTTP Status Code:** `200` Account billing invoice information returned.
Content-Type: application/json
-
balancenumber, format:double— The remaining balance of the invoice after all payments, adjustments, and refunds are applied. -
currencystring— Billing currency. -
due_datestring— The date by which the payment for this invoice is due. -
idstring— Unique identifier of the invoice. -
invoice_datestring— The date when the invoice was generated. -
invoice_itemsarrayItems:
-
charge_namestring— Description for the charge. -
charge_numberstring— Identifier for the charge. -
charge_typestring— Charge type. -
end_datestring, format:date— Billing end date. -
partner_skustring— The partner SKU. -
purchase_order_numberstring— The purchase order number. -
quantityinteger— Quantity. -
start_datestring, format:date— Billing start date. -
tax_amountnumber, format:double— Tax amount. -
total_amountnumber, format:double— Total amount.
-
-
invoice_numberstring— Invoice number. -
statusstring, default:"\"Draft\""— Status of the invoice. -
target_datestring— This date is used to determine which charges are to be billed. All charges that are to be billed on this date or prior will be included in the invoice. -
tax_amountnumber, format:double— Tax amount. -
total_amountnumber, format:double— Total invoice amount.
Example:
{
"balance": 20.13,
"currency": "USD",
"due_date": "2022-01-19",
"id": "inv23kk1",
"invoice_date": "2022-01-19",
"invoice_items": [
{
"charge_name": "This is a recurring charge",
"charge_number": "23kv12",
"charge_type": "Billed on master",
"end_date": "2022-03-01",
"partner_sku": "SK1093",
"purchase_order_number": "PO12345",
"quantity": 10,
"start_date": "2022-01-01",
"tax_amount": 30.9,
"total_amount": 300.15
}
],
"invoice_number": "12fkfkl0",
"status": "Draft",
"target_date": "2022-03-01",
"tax_amount": 23.12,
"total_amount": 1300.29
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2001` <br> Account does not exist: {subAccountId}.<br> InvoiceId does not exist: {invoiceId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Download an invoice file (v2)
- Method:
GET - Path:
/billing/invoices/{invoiceId}/download - Tags: Billing
Download a Zoom account's billed invoice file, in PDF format. To get an account's invoice ID, use the List billing invoices API.
You may send one request to this API every 30 minutes until you reach the daily limit of 100 requests per account. Prerequisites:
- A Pro or a higher plan with the Master account option enabled.
- The sub account must be a paid account whose billing charges are paid by its Master account.
Scopes: billing:master
Granular Scopes: billing:read:download_invoice_file:master
Responses
Status: 200 **HTTP Status Code:** `200` Account billing invoice PDF returned.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `2001` <br> Account does not exist: {subAccountId}. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](/docs/api/rest/rate-limits/).
Get account subscriptions usage
- Method:
GET - Path:
/accounts/{accountId}/billing/usage - Tags: Billing
Returns plan usage for an account at subscription level. Each plan node returns a list of usage records, and each record contains zr_sub_refer_id.
Scopes: billing:master,account:master
Granular Scopes: billing:read:plan_usage:admin,billing:read:plan_usage:master
Rate Limit Label: HEAVY
Responses
Status: 200 Plan usage returned.
Content-Type: application/json
-
plan_basearray— The base plan subscribed for the account.Items:
-
active_hostsinteger— The number of active hosts under the base plan. -
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"monthly", "yearly", "plan_pro_two_years", "plan_pro_three_years", "business_monthly", "business_yearly"— The base plan's type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_cmrhybridarray— Information about the account's Zoom Node Recording Hybrid sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zm_node_hybrid_rec_monthly", "zm_node_hybrid_rec_quarterly", "zm_node_hybrid_rec_yearly", "zm_node_hybrid_rec_two_year", "zm_node_hybrid_rec_three_year"— The Zoom Node Recording Hybrid sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_large_meetingarray— A large meeting plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"large500_monthly", "large500_yearly", "plan_large500_two_years", "plan_large500_three_years", "large1000_monthly"— The large meeting plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_mchybridarray— Information about the account's Zoom Meetings Connector sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zmc_monthly", "zmc_quarterly", "zmc_yearly", "zmc_two_year", "zmc_three_year"— The Zoom Meetings Connector sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_mioarray— Information about Mio Interoperability plans.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zmioi_monthly", "zmioi_querterly", "zmioi_annual", "zmioi_2yr_prepay", "zmioi_3yr_prepay", "act_zmioi_monthly", "act_zmioi_quarterly", "act_zmioi_annual"— The Mio Interoperability plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_basearray— Information about the account's Zoom Phone base plan.Items:
-
typestring, possible values:"phone_payongo"— The Zoom Phone base plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_callingarray— Information about the account's Zoom Phone calling plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"phone_calling_pro_global_monthly", "phone_calling_pro_global_three_year", "phone_calling_pro_global_two_year", "phone_calling_pro_global_one_year", "phone_calling_pro_global_quarterly", "phone_calling_pro_global_free_trial"— The Zoom Phone calling plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_calling_addonarray— Information about Zoom Phone calling add-on plans.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zp_power_pack_monthly", "zp_power_pack_yearly", "zp_power_pack_two_years", "zp_power_pack_three_years"— The Zoom Phone calling add-on plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_hybridarray— Information about the account's Zoom Phone Hybrid plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zph_free_trial", "zph_monthly", "zph_quarterly", "zph_yearly", "zph_two_year", "zph_three_year"— The Zoom Phone Hybrid plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_rchybridarray— Information about the account's Zoom Recordings Connector sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zrc_monthly", "zrc_quarterly", "zrc_yearly", "zrc_two_year", "zrc_three_year"— The Zoom Recordings Connector sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_recordingarray— The recording plan.Items:
-
free_storagestring— The amount of free storage for recording. -
free_storage_usagestring— The amount of free storage used. -
max_exceed_datestring— The date when the plan exceeds maximum storage. -
plan_storagestring— The storage for the recording plan. -
plan_storage_exceedstring— The amount of exceeded storage used. -
plan_storage_usagestring— The amount of usage of the recording storage. -
typestring, possible values:"cmr_30GB_two_years", "cmr_30GB_three_years", "cmr_200GB_three_year", "cmr_200GB_two_year", "cmr_1TB_three_year", "cmr_1TB_two_year", "cmr_5TB_three_year", "cmr_5TB_two_year", "cmr_3TB_three_years", "cmr_monthly_commitment_10", "cmr_5TB_quarterly", "cmr_5TB_yearly", "cmr_1TB_monthly", "cmr_monthly_commitment_100", "cmr_3TB_yearly", "cmr_3TB_two_years", "cmr_monthly_commitment_500", "cmr_1TB_yearly", "cmr_100GB_yearly", "cmr_100GB_two_years", "cmr_500GB_two_years", "cmr_200GB_monthly", "cmr_monthly_commitment_40", "cmr_200GB_quarterly", "cmr_500GB_three_years", "cmr_500GB_yearly", "cmr_5TB_monthly", "cmr_100GB_three_years", "cmr_200GB_yearly", "cmr_1TB_quarterly", "cmr_free_trial", "cmr_30GB_yearly", "cmr_monthly_commitment_1000"— The recording plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_room_connectorarray— Information about the account's H.323/SIP Device Room Connector plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"roomconnector_monthly", "plan_rc_two_years", "roomconnector_yearly", "plan_rc_three_years", "roomconnector_free_trial", "roomconnector_quarterly"— The Zoom Room Connector plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_tchybridarray— Information about the account's Zoom Node Team Chat Hybrid sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zn_tc_hybrid_monthly", "zn_tc_hybrid_quarterly", "zn_tc_hybrid_yearly", "zn_tc_hybrid_two_year", "zn_tc_hybrid_three_year"— The Zoom Node Team Chat Hybrid sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_unitedarray— The Zoom United plan.Items:
-
hostsinteger— The account plan's number of hosts. -
namestring— The plan's name. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"biz_zpp_monthly", "biz_zpp_three_years", "biz_zpp_yearly", "biz_zpp_two_years"— The Zoom United plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_webinararray— The webinar plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"webinar10000_one_month", "webinar500_one_month", "webinar1000_one_month", "webinar3000_one_month", "webinar100_one_month", "webinar5000_one_month", "plan_webinar1000_three_years", "webinar20000_monthly", "webinar30000_yearly", "webinar100_monthly", "plan_webinar5000_two_years", "webinar5000_yearly", "webinar1000_yearly", "webinar100_yearly", "webinar3000_yearly", "plan_webinar500_two_years", "webinar50000_monthly", "webinar50000_yearly", "plan_webinar3000_three_years", "webinar500_yearly", "webinar20000_yearly", "webinar5000_monthly", "webinar10000_monthly", "webinar1000_monthly", "plan_webinar500_three_years", "webinar10000_yearly", "webinar30000_monthly", "plan_webinar10000_three_years", "webinar500_monthly", "plan_webinar1000_two_years", "plan_webinar10000_two_years", "plan_webinar5000_three_years", "plan_webinar3000_two_years", "webinar3000_monthly", "webinar500_free_trial", "webinar100_two_years", "webinar100_three_years", "webinar100_quarterly", "webinar500_quarterly", "webinar1000_quarterly", "webinar3000_quarterly", "webinar5000_quarterly", "webinar10000_quarterly"— The type of webinar plan for the account. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_whiteboardarray— Information about the account's Zoom Whiteboard plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zwb_two_year", "zwb_three_year", "zwb_yearly", "zwb_monthly"— The Zoom Whiteboard plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_whiteboard_plusarray— Information about the account's Zoom Whiteboard Plus plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zwb_plus_three_year", "zwb_plus_two_year", "zwb_plus_monthly", "zwb_plus_quarterly", "zwb_plus_yearly"— The Zoom Whiteboard Plus plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zccarray— Zoom Contact Center usage grouped by subscription.Items:
-
plan_ai_expert_assistarray— Zoom Contact Center AI Expert Assist plans for the subscription.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"ai_expert_assist_quarterly", "ai_expert_assist_yearly", "ai_expert_assist_two_year", "ai_expert_assist_three_year", "ai_expert_assist_monthly"— The AI Expert Assist plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_package_listarray— Zoom Contact Center package plans for the subscription.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zccp_monthly", "zccp_quarterly", "zccp_yearly", "zccp_two_year", "zccp_three_year"— The Zoom Contact Center package plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_phone_numberarray— Zoom Contact Center phone number plans for the subscription.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"vspn_usca_monthly", "vspn_usca_quarterly", "vspn_usca_yearly", "vspn_usca_two_year_prepay", "vspn_usca_three_year_prepay"— The Zoom Contact Center phone number plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_recordingarray— Zoom Contact Center cloud recording plans for the subscription.Items:
-
free_storagestring— The amount of free storage for recording. -
free_storage_usagestring— The amount of free storage used. -
max_exceed_datestring— The date when the plan exceeds maximum storage. -
plan_storagestring— The storage for the recording plan. -
plan_storage_exceedstring— The amount of exceeded storage used. -
plan_storage_usagestring— The amount of the recording storage used. -
typestring, possible values:"zcc_cs_30gb", "zcc_cs_30gb_yearly_prepay", "zcc_cs_30gb_quarterly_prepay", "zcc_cs_30gb_two_year_prepay", "zcc_cs_30gb_three_year_prepay", "zcc_cs_200gb", "zcc_cs_200gb_yearly_prepay", "zcc_cs_200gb_quarterly_prepay", "zcc_cs_200gb_two_year_prepay", "zcc_cs_200gb_three_year_prepay", "zcc_cs_1tb", "zcc_cs_1tb_yearly_prepay", "zcc_cs_1tb_quarterly_prepay", "zcc_cs_1tb_two_year_prepay", "zcc_cs_1tb_three_year_prepay", "zcc_cs_5tb", "zcc_cs_5tb_yearly_prepay", "zcc_cs_5tb_quarterly_prepay", "zcc_cs_5tb_two_year_prepay", "zcc_cs_5tb_three_year_prepay"— The Zoom Contact Center cloud recording plan type. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_usagearray— Zoom Contact Center usage plans for the subscription.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zcc_monthly_usage_prepay_monthly", "zcc_monthly_usage_prepay_quarterly", "zcc_monthly_usage_prepay_yearly", "zcc_monthly_usage_prepay_two_year", "zcc_monthly_usage_prepay_three_year"— The Zoom Contact Center usage plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
-
plan_zmhybridarray— Information about the account's Zoom Meetings Hybrid sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zm_hybrid_monthly", "zm_hybrid_quarterly", "zm_hybrid_yearly", "zm_hybrid_two_year", "zm_hybrid_three_year"— The Zoom Meetings Hybrid sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_znode_basearray— Information about the account's Zoom Node base plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"znode_monthly", "znode_quarterly", "znode_yearly", "znode_two_year", "znode_three_year", "znode_free_trial"— The Zoom Node base plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_eventsarray— Information about the Zoom Events plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zoomevents500_monthly", "zoomevents500_quarterly", "zoomevents500_yearly", "zoomevents500_two_years", "zoomevents500_three_years", "zoomevents1000_monthly", "zoomevents1000_quarterly", "zoomevents1000_yearly", "zoomevents1000_two_years", "zoomevents1000_three_years", "zoomevents3000_monthly", "zoomevents3000_quarterly", "zoomevents3000_yearly", "zoomevents3000_two_years", "zoomevents3000_three_years", "zoomevents5000_monthly", "zoomevents5000_quarterly", "zoomevents5000_yearly", "zoomevents5000_two_years", "zoomevents5000_three_years", "zoomevents10000_monthly", "zoomevents10000_quarterly", "zoomevents10000_yearly", "zoomevents10000_two_years", "zoomevents10000_three_years", "zoomevents20000_monthly", "zoomevents20000_quarterly", "zoomevents20000_yearly", "zoomevents20000_two_years", "zoomevents20000_three_years", "zoomevents30000_monthly", "zoomevents30000_quarterly", "zoomevents30000_yearly", "zoomevents30000_two_years", "zoomevents30000_three_years", "zoomevents50000_monthly", "zoomevents50000_quarterly", "zoomevents50000_yearly", "zoomevents50000_two_years", "zoomevents50000_three_years"— The Zoom Events plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_events_unlimitedarray— Information about Zoom Events Unlimited plans.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"ze_100_unlimited_yearly", "ze_500_unlimited_yearly", "ze_1000_unlimited_yearly", "ze_3000_unlimited_yearly", "ze_5000_unlimited_yearly", "ze_10000_unlimited_yearly", "ze_20000_unlimited_yearly", "ze_30000_unlimited_yearly", "ze_50000_unlimited_yearly", "ze_100_unlimited_two_year_prepay", "ze_500_unlimited_two_year_prepay", "ze_1000_unlimited_two_year_prepay", "ze_3000_unlimited_two_year_prepay", "ze_5000_unlimited_two_year_prepay", "ze_10000_unlimited_two_year_prepay", "ze_20000_unlimited_two_year_prepay", "ze_30000_unlimited_two_year_prepay", "ze_50000_unlimited_two_year_prepay", "ze_100_unlimited_three_year_prepay", "ze_500_unlimited_three_year_prepay", "ze_1000_unlimited_three_year_prepay", "ze_3000_unlimited_three_year_prepay", "ze_5000_unlimited_three_year_prepay", "ze_10000_unlimited_three_year_prepay", "ze_20000_unlimited_three_year_prepay", "ze_30000_unlimited_three_year_prepay", "ze_50000_unlimited_three_year_prepay", "ze_100_unlimited_monthly", "ze_500_unlimited_monthly", "ze_1000_unlimited_monthly", "ze_3000_unlimited_monthly", "ze_5000_unlimited_monthly", "ze_10000_unlimited_monthly", "ze_20000_unlimited_monthly", "ze_30000_unlimited_monthly", "ze_50000_unlimited_monthly"— The Zoom Events Unlimited plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_iqarray— Information about the account's Zoom Revenue Accelerator plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"ziq_sales_two_year", "ziq_sales_yearly", "ziq_sales_three_year", "ziq_sales_monthly"— The Zoom Revenue Accelerator plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_onearray— Information about the Zoom Workplace plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zobp_usca_monthly_unlimited", "zobp_usca_yearly_unlimited", "zobp_usca_two_year_prepay_unlimited", "zobp_usca_three_year_prepay_unlimited"— The Zoom Workplace plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_roomsarray— The Zoom Rooms plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"plan_zoomroom_three_years", "plan_zoomroom_two_years", "zroom_yearly", "zroom_monthly", "zroom_free_trial", "zroom_quarterly"— The Zoom Room plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_sessionsarray— Information about Zoom Sessions plans.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zs_100_unlimited_yearly", "zs_500_unlimited_yearly", "zs_1000_unlimited_yearly", "zs_3000_unlimited_yearly", "zs_5000_unlimited_yearly", "zs_10000_unlimited_yearly", "zs_20000_unlimited_yearly", "zs_30000_unlimited_yearly", "zs_50000_unlimited_yearly", "zs_100_unlimited_two_year", "zs_500_unlimited_two_year", "zs_1000_unlimited_two_year", "zs_3000_unlimited_two_year", "zs_5000_unlimited_two_year", "zs_10000_unlimited_two_year", "zs_20000_unlimited_two_year", "zs_30000_unlimited_two_year", "zs_50000_unlimited_two_year", "zs_100_unlimited_three_year", "zs_500_unlimited_three_year", "zs_1000_unlimited_three_year", "zs_3000_unlimited_three_year", "zs_5000_unlimited_three_year", "zs_10000_unlimited_three_year", "zs_20000_unlimited_three_year", "zs_30000_unlimited_three_year", "zs_50000_unlimited_three_year", "zs_100_unlimited_monthly", "zs_500_unlimited_monthly", "zs_1000_unlimited_monthly", "zs_3000_unlimited_monthly", "zs_5000_unlimited_monthly", "zs_10000_unlimited_monthly", "zs_20000_unlimited_monthly", "zs_30000_unlimited_monthly", "zs_50000_unlimited_monthly"— The Zoom Sessions plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_video_managementarray— Zoom Video Management plans.Items:
-
plan_unique_viewerinteger— Included unique viewer capacity. -
plan_unique_viewer_exceedinteger— Exceeded unique viewer capacity. -
plan_unique_viewer_usageinteger— Used unique viewer capacity. -
typestring, possible values:"zoom_video_management_monthly_prepay_usage", "zoom_video_management_annual_prepay_usage"— API plan code for Zoom Video Management plans. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zoom_video_management_cloud_recordingarray— Zoom Video Management Cloud Storage plans.Items:
-
free_storagestring— Free included cloud storage quota. -
free_storage_usagestring— Used amount of free included cloud storage. -
max_exceed_datestring— Date when maximum storage was exceeded. -
plan_storagestring— Purchased plan cloud storage quota. -
plan_storage_exceedstring— Exceeded amount beyond purchased plan storage. -
plan_storage_usagestring— Used amount of purchased plan cloud storage. -
typestring, possible values:"zoom_video_management_150_monthly", "zoom_video_management_150_quarterly", "zoom_video_management_150_annual", "zoom_video_management_150_two_years_prepay", "zoom_video_management_150_three_years_prepay", "zoom_video_management_150_flex_prepay"— API plan code for Zoom Video Management Cloud Storage plans. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zphybridarray— Information about the account's Zoom Node Phone Hybrid sub-plan.Items:
-
hostsinteger— The account plan's number of hosts. -
typestring, possible values:"zph_free_trial", "zph_monthly", "zph_quarterly", "zph_yearly", "zph_two_year", "zph_three_year"— The Zoom Node Phone Hybrid sub-plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_ztranslarray— Information about the account's Zoom Translation plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"ztransl_monthly", "ztransl_quarterly", "ztransl_yearly", "ztransl_two_year", "ztransl_three_year"— The Zoom Translation plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zvaarray— Information about the Zoom Virtual Agent plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zva_monthly", "zva_quarterly", "zva_yearly", "zva_two_year", "zva_three_year"— The Zoom Virtual Agent plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
-
plan_zwrarray— Information about the Zoom Workspace Reservation plan.Items:
-
hostsinteger— The account plan's number of hosts. -
pendinginteger— The plan's total number of pending licenses. -
typestring, possible values:"zwr_monthly", "zwr_quarterly", "zwr_yearly", "zwr_two_year", "zwr_three_year"— The Zoom Workspace Reservation plan type. -
usageinteger— The plan's total usage number. -
zr_sub_refer_idstring— Subscription refer ID.
-
Example:
{
"plan_base": [
{
"hosts": 88,
"type": "yearly",
"usage": 28,
"active_hosts": 44,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_large_meeting": [
{
"hosts": 88,
"type": "large500_one_month",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_webinar": [
{
"hosts": 88,
"type": "webinar10000_one_month",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_events": [
{
"hosts": 88,
"type": "zoomevents500_monthly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_one": [
{
"hosts": 88,
"type": "zobp_usca_monthly_unlimited",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_united": [
{
"hosts": 88,
"name": "Zoom Meetings Business and Zoom Phone Pro Monthly",
"type": "biz_zpp_monthly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_whiteboard": [
{
"type": "zwb_two_year",
"hosts": 88,
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_whiteboard_plus": [
{
"type": "zwb_plus_three_year",
"hosts": 88,
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_iq": [
{
"type": "ziq_sales_two_year",
"hosts": 88,
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_ztransl": [
{
"type": "ztransl_monthly",
"hosts": 88,
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zwr": [
{
"hosts": 88,
"type": "zwr_monthly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zva": [
{
"hosts": 88,
"type": "zva_monthly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_sessions": [
{
"hosts": 88,
"type": "zs_100_unlimited_yearly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_events_unlimited": [
{
"hosts": 88,
"type": "ze_100_unlimited_yearly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_mio": [
{
"hosts": 88,
"type": "zmioi_monthly",
"usage": 28,
"pending": 1,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_recording": [
{
"free_storage": "2 GB",
"free_storage_usage": "1 GB",
"plan_storage": "30 GB",
"plan_storage_exceed": "0 GB",
"max_exceed_date": "2026-03-31",
"plan_storage_usage": "10 GB",
"type": "cmr_30GB_two_years",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_rooms": [
{
"hosts": 88,
"type": "plan_zoomroom_three_years",
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_room_connector": [
{
"hosts": 88,
"type": "roomconnector_monthly",
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_base": [
{
"type": "phone_payongo",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_calling": [
{
"type": "phone_calling_pro_global_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_calling_addon": [
{
"type": "zp_power_pack_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_hybrid": [
{
"type": "zph_free_trial",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_znode_base": [
{
"type": "znode_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zphybrid": [
{
"type": "zph_free_trial",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zmhybrid": [
{
"type": "zm_hybrid_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_mchybrid": [
{
"type": "zmc_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_rchybrid": [
{
"type": "zrc_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_cmrhybrid": [
{
"type": "zm_node_hybrid_rec_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_tchybrid": [
{
"type": "zn_tc_hybrid_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zcc": [
{
"plan_package_list": [
{
"type": "zccp_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_usage": [
{
"type": "zcc_monthly_usage_prepay_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_recording": [
{
"type": "zcc_cs_30gb",
"free_storage": "0 GB",
"free_storage_usage": "0 GB",
"plan_storage": "30 GB",
"plan_storage_exceed": "0 GB",
"max_exceed_date": "2026-03-31",
"plan_storage_usage": "10 GB",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_phone_number": [
{
"type": "vspn_usca_monthly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_ai_expert_assist": [
{
"type": "ai_expert_assist_quarterly",
"hosts": 88,
"usage": 28,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
]
}
],
"plan_zoom_video_management": [
{
"type": "zoom_video_management_monthly_prepay_usage",
"plan_unique_viewer": 1000,
"plan_unique_viewer_usage": 320,
"plan_unique_viewer_exceed": 0,
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"plan_zoom_video_management_cloud_recording": [
{
"type": "zoom_video_management_150_monthly",
"free_storage": "0 GB",
"free_storage_usage": "0 GB",
"plan_storage": "1 TB",
"plan_storage_usage": "120 GB",
"plan_storage_exceed": "0 GB",
"max_exceed_date": "2026-03-31",
"zr_sub_refer_id": "SUBREF-10010970343-A-S31608926"
}
],
"additionalProperty": "anything"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request **Error Code:** `200` <br> Only available for paid accounts. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Get account plan information
- Method:
GET - Path:
/accounts/{accountId}/plans - Tags: Billing
Let master accounts retrieve subaccounts' plan information.
- To get a master account's plan information, use the
billing:read:plan_information:adminscope. Entermeas the value of theaccountIdpath parameter. - To get a subaccount's plan information, use the
billing:read:plan_information:masterscope. Enter the subaccount's actual account ID as the value of theaccountIdpath parameter.
Prerequisite This API can only be used by master accounts that pay all billing charges of their associated Pro or higher subaccounts.
Zoom only allows approved partners to use master account APIs and manage subaccounts' billing information.
Scopes: billing:master
Granular Scopes: billing:read:plan_information:master,billing:read:plan_information:admin
Rate Limit Label: MEDIUM
Responses
Status: 200 **HTTP Status Code:**`200` Account's plans returned.
Content-Type: application/json
-
plan_audioobject— Information about the account's Audio Conferencing plan.-
callout_countriesstring— A comma-separated list of the account's call-out countries. For a list of values, refer to the `ID` field in the [TSP callout countries](/docs/api/references/abbreviations/#tsp-callout-countries) table. -
ddi_numbersinteger— The account's dedicated dial-in (DDI) numbers. -
next_invoice_datestring— The account plan's next invoice date. -
premium_countriesstring— A comma-separated list of the account's premium countries. For a list of values, refer to the `ID` field in the [Premium countries](/docs/api/references/abbreviations/#premium-countries) table. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
tollfree_countriesstring— A comma-separated list of the account's toll-free countries. For a list of values, refer to the `ID` field in the [Toll-free countries](/docs/api/references/abbreviations/#toll-free-countries) table. -
typestring— The [Audio Conferencing plan type](/docs/api/references/billing-plans/#audio-conferencing-plans).
-
-
plan_audio_us_caobject— Information about the account's Audio Conferencing plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Audio Conferencing plans type](https://developers.zoom.us/docs/api/rest/other-references/plans#video-sdk-add-on-plans).
-
-
plan_baseobject— Information about the account's base plan.-
active_hostsinteger— The account plan's number of active hosts. -
hostsinteger— The account plan's number of hosts. -
included_minutesinteger, format:long— The Video SDK plan's included minutes. -
next_invoice_datestring— The account plan's next invoice date. -
overage_priceinteger, format:double— The Video SDK plan's overage price. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The account's [base plan type](/docs/api/references/billing-plans/#base-plans).
-
-
plan_large_meetingarray— Information about the account's Large Meeting plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Large Meeting plan type](/docs/api/references/billing-plans/#large-meeting-plans).
-
-
plan_meshobject— Information about the account's Zoom Mesh plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Mesh plan type](/docs/api/references/billing-plans/#video-sdk-add-on-plans).
-
-
plan_partner_premier_supportobject— Information about the account's Zoom Partner Premier Support plan.-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Partner Premier Support](/docs/api/references/billing-plans/).
-
-
plan_phoneobject— Information about the account's Zoom Phone plan.-
plan_baseobject— Information about the account's Zoom Phone base plan.-
callout_countriesstring— A comma-separated list of the account's call-out countries. For a list of values, refer to the `ID` field in the [TSP callout countries](/docs/api/references/abbreviations/#tsp-callout-countries) table. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Phone base plan type](/docs/api/references/billing-plans/#additional-zoom-phone-plans).
-
-
plan_callingarray— Information about the account's additional Zoom Phone calling plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The additional [Zoom Phone calling plan type](/docs/api/references/billing-plans/#additional-zoom-phone-plans).
-
-
plan_numberarray— Information about the account's additional Zoom Phone number plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The additional [Zoom Phone number plan type](/docs/api/references/billing-plans/#additional-zoom-phone-plans).
-
-
-
plan_qssarray— Information about the account's Zoom Quality Stream Service plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Quality Stream Service plan type](/docs/api/references/billing-plans/).
-
-
plan_recordingstring— The account's [Cloud Recording plan](/docs/api/references/billing-plans/#cloud-recording-plans). -
plan_recording_next_invoice_datestring— The next invoice date for the account's Cloud Recording plan. -
plan_recording_service_effective_datestring— The date when the Cloud Recording plan became effective on the account. -
plan_recording_statusstring, possible values:"active", "cancelled", "expired"— The account's Cloud Recording plan status. -
plan_room_connectorobject— Information about the account's H.323/SIP Device Room Connector plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [H.323/SIP Device Room Connector plan type](/docs/api/references/billing-plans/#h323sip-device-room-connector-plans).
-
-
plan_sdk_cmrobject— Information about the account's Zoom Video SDK plan.-
typestring— The [Video SDK plan type](/docs/api/references/billing-plans/#video-sdk-add-on-plans).
-
-
plan_visitor_managementobject— Information about the account's Zoom Visitor management plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Visitor management](/docs/api/references/billing-plans/).
-
-
plan_webinararray— Information about the account's Webinar plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [webinar plan type](/docs/api/references/billing-plans/#webinar-plans).
-
-
plan_whiteboardobject— Information about the account's Zoom Whiteboard plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Whiteboard plan type](https://developers.zoom.us/docs/api/rest/other-references/plans#zoom-whiteboard-plans).
-
-
plan_whiteboard_plusobject— Information about the account's Zoom Whiteboard Plus plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Whiteboard Plus plan type](https://developers.zoom.us/docs/api/rest/other-references/plans#zoom-whiteboard-plans).
-
-
plan_workforce_managementobject— Information about the account's Zoom workforce management.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Workforce Management plan type](/docs/api/references/billing-plans/).
-
-
plan_zccobject— Information about the account's Contact Center plan.-
plan_ai_expert_assistobject— Information about the account's AI Expert Assist plan.-
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [AI Expert Assist plan type](/docs/api/references/billing-plans/).
-
-
plan_packageobject— Information about the account's Contact Center package plan.-
callout_countriesstring— A comma-separated list of the account's call-out countries. For a list of values, refer to the `ID` field in the [TSP callout countries](/docs/api/references/abbreviations/#tsp-callout-countries#tsp-callout-countries) table. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Contact Center package plan type](/docs/api/references/billing-plans/).
-
-
plan_package_listsarray— Information about the account's Contact Center package plan.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Contact Center package plan type](/docs/api/references/billing-plans/).
-
-
plan_phone_numberarray— Information about the account's additional Contact Center Number plans.Items:
-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The additional [Contact Center number plan type](/docs/api/references/billing-plans/).
-
-
plan_usageobject— Information about the account's additional Contact Center calling plans.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The additional [Contact Center Calling plan type](/docs/api/references/billing-plans/).
-
-
-
plan_znodeobject— Information about the account's Zoom Node plan.-
plan_cmrhybridobject— Information about the account's Zoom Node Recording Hybrid plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Node Recording Hybrid plan type](/docs/api/references/billing-plans/).
-
-
plan_mchybridobject— Information about the account's Zoom Node Meeting Connector plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Node Meeting Connector plan type](/docs/api/references/billing-plans/).
-
-
plan_rchybridobject— Information about the account's Zoom Node Recording Connector plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Node Recording Connector plan type](/docs/api/references/billing-plans/).
-
-
plan_tchybridobject— Information about the account's Zoom Node Team Chat Hybrid plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
statusstring, possible values:"active", "cancelled", "expired"— The account plan's status. -
typestring— The [Zoom Node Team Chat Hybrid plan type](/docs/api/references/billing-plans/).
-
-
plan_zmhybridobject— Information about the account's Zoom Node Meeting Hybrid plan.-
hostsinteger— The account plan's number of hosts. -
next_invoice_datestring— The account plan's next invoice date. -
service_effective_datestring— The date when the plan became effective on the account. -
[...]
